Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal.services
Class AbstractFab

    java.lang.Object
      org.apache.tapestry5.ioc.internal.services.AbstractFab

Direct Known Subclasses:
  ClassFabImpl

    public class AbstractFab

extends java.lang.Object

Base class for `ClassFabImpl`. This code is a fork from HiveMind; it is kept seperate from ClassFabImpl in case we want to re-introduce the idea of an InterfaceFab.

Field Summary
`protected OneShotLock` | `lock`

Constructor Summary
`AbstractFab(CtClassSource source, javassist.CtClass ctClass, org.slf4j.Logger logger)`

Method Summary
`void` | `addInterface(java.lang.Class interfaceClass)`
`java.lang.Class` | `createClass()`
`protected javassist.CtClass` | `getCtClass()`
`protected org.slf4j.Logger` | `getLogger()`
`protected CtClassSource` | `getSource()`
`protected javassist.CtClass` | `toCtClass(java.lang.Class inputClass)`
`protected javassist.CtClass[]` | `toCtClasses(java.lang.Class[] inputClasses)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lock

    protected final OneShotLock lock

Constructor Detail

### AbstractFab

    public AbstractFab(CtClassSource source,
                       javassist.CtClass ctClass,
                       org.slf4j.Logger logger)

Method Detail

### addInterface

    public void addInterface(java.lang.Class interfaceClass)

### toCtClasses

    protected javassist.CtClass[] toCtClasses(java.lang.Class[] inputClasses)

### toCtClass

    protected javassist.CtClass toCtClass(java.lang.Class inputClass)

### createClass

    public java.lang.Class createClass()

### getCtClass

    protected javassist.CtClass getCtClass()

### getSource

    protected CtClassSource getSource()

### getLogger

    protected org.slf4j.Logger getLogger()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.